Em-Hub Wiki Android Docs iOS Docs Support

- Index
- Hierarchy

# EMResourceValueProtocol Protocol Reference

Declared in | EMResourceValue.h

## Overview

A protocol to define the methods that all EMResourceValue subclasses must define.

Written by Carolyn Vaughan

## Tasks

- `– initWithName:type:schema:` required method
- `– isArray`

  Returns true if the type of this value is an Array, and false otherwise.

  required method
- `– isNum`

  Returns true if the type of this value is a Num, and false otherwise.

  required method
- `– isEnum`

  Returns true if the type of this value is an Enum, and false otherwise.

  required method
- `– isFile`

  Returns true if the type of this value is a File, and false otherwise.

  required method
- `– isInt`

  Returns true if the type of this value is an Int, and false otherwise.

  required method
- `– isString`

  Returns true if the type of this value is a String, and false otherwise.

  required method
- `– isScalar`

  Returns true if the type of this value is scalar (Num, Enum, Int, String), and false otherwise.

  required method
- `– isStruct`

  Return true if the type of this value is a Struct, and false otherwise.

  required method
- `– isVoid`

  Return true if the type of this value is a Void, and false otherwise.

  required method
- `– putData:` required method
- `– getDataOfSize:fromBuffer:` required method
- `– setDoubleValue:` required method
- `– setLongValue:` required method
- `– setStringValue:` required method
- `– doubleValue` required method
- `– longValue` required method
- `– stringValue` required method
- `– copyFromResource:` required method
- `– reset` required method
- `– min` required method
- `– max` required method
- `– step` required method
- `– length` required method
- `– enumValues` required method
- `– fieldNames` required method
- `– index:` required method
- `– select:` required method
- `– fileEof` required method
- `– fileFetch` required method
- `– fileStore` required method

## Instance Methods

### copyFromResource:

`- (void)copyFromResource:(EMResourceValue *)source`

#### Declared In

`EMResourceValue.h`

### doubleValue

`- (double)doubleValue`

#### Declared In

`EMResourceValue.h`

### enumValues

`- (NSArray *)enumValues`

#### Declared In

`EMResourceValue.h`

### fieldNames

`- (NSArray *)fieldNames`

#### Declared In

`EMResourceValue.h`

### fileEof

`- (BOOL)fileEof`

#### Declared In

`EMResourceValue.h`

### fileFetch

`- (void)fileFetch`

#### Declared In

`EMResourceValue.h`

### fileStore

`- (void)fileStore`

#### Declared In

`EMResourceValue.h`

### getDataOfSize:fromBuffer:

`- (void)getDataOfSize:(int)size fromBuffer:(EMSerialPacket *)buffer`

#### Declared In

`EMResourceValue.h`

### index:

`- (EMResourceValue *)index:(int)index`

#### Declared In

`EMResourceValue.h`

### initWithName:type:schema:

`- (id)initWithName:(NSString *)theName type:(NSString *)theType schema:(EMSchema *)theResourceSchema`

#### Declared In

`EMResourceValue.h`

### isArray

Returns true if the type of this value is an Array, and false otherwise.

`- (BOOL)isArray`

#### Discussion

Returns true if the type of this value is an Array, and false otherwise.

#### Declared In

`EMResourceValue.h`

### isEnum

Returns true if the type of this value is an Enum, and false otherwise.

`- (BOOL)isEnum`

#### Discussion

Returns true if the type of this value is an Enum, and false otherwise.

#### Declared In

`EMResourceValue.h`

### isFile

Returns true if the type of this value is a File, and false otherwise.

`- (BOOL)isFile`

#### Discussion

Returns true if the type of this value is a File, and false otherwise.

#### Declared In

`EMResourceValue.h`

### isInt

Returns true if the type of this value is an Int, and false otherwise.

`- (BOOL)isInt`

#### Discussion

Returns true if the type of this value is an Int, and false otherwise.

#### Declared In

`EMResourceValue.h`

### isNum

Returns true if the type of this value is a Num, and false otherwise.

`- (BOOL)isNum`

#### Discussion

Returns true if the type of this value is a Num, and false otherwise.

#### Declared In

`EMResourceValue.h`

### isScalar

Returns true if the type of this value is scalar (Num, Enum, Int, String), and false otherwise.

`- (BOOL)isScalar`

#### Discussion

Returns true if the type of this value is scalar (Num, Enum, Int, String), and false otherwise.

#### Declared In

`EMResourceValue.h`

### isString

Returns true if the type of this value is a String, and false otherwise.

`- (BOOL)isString`

#### Discussion

Returns true if the type of this value is a String, and false otherwise.

#### Declared In

`EMResourceValue.h`

### isStruct

Return true if the type of this value is a Struct, and false otherwise.

`- (BOOL)isStruct`

#### Discussion

Return true if the type of this value is a Struct, and false otherwise.

#### Declared In

`EMResourceValue.h`

### isVoid

Return true if the type of this value is a Void, and false otherwise.

`- (BOOL)isVoid`

#### Discussion

Return true if the type of this value is a Void, and false otherwise.

#### Declared In

`EMResourceValue.h`

### length

`- (long)length`

#### Declared In

`EMResourceValue.h`

### longValue

`- (long long)longValue`

#### Declared In

`EMResourceValue.h`

### max

`- (double)max`

#### Declared In

`EMResourceValue.h`

### min

`- (double)min`

#### Declared In

`EMResourceValue.h`

### putData:

`- (void)putData:(EMSerialPacket *)buffer`

#### Declared In

`EMResourceValue.h`

### reset

`- (void)reset`

#### Declared In

`EMResourceValue.h`

### select:

`- (EMResourceValue *)select:(NSString *)fieldName`

#### Declared In

`EMResourceValue.h`

### setDoubleValue:

`- (void)setDoubleValue:(double)value`

#### Declared In

`EMResourceValue.h`

### setLongValue:

`- (void)setLongValue:(long long)value`

#### Declared In

`EMResourceValue.h`

### setStringValue:

`- (void)setStringValue:(NSString *)value`

#### Declared In

`EMResourceValue.h`

### step

`- (double)step`

#### Declared In

`EMResourceValue.h`

### stringValue

`- (NSString *)stringValue`

#### Declared In

`EMResourceValue.h`

- Index
- Hierarchy

© 2014 Emmoco, Inc.. All rights reserved. (Last updated: 2014-02-21)
Generated by appledoc 2.2 (build 961).